Activity
Interface with the autoZnetwork inventory activity.
Inventory Activity
Inventory tags allow you to attach tags to your vehicles and enable searchability for internal users as well as public consumers.
List Vehicle Tags
GET Request: https://api.autoznetwork.com/v1/inventory/{INVENTORY_ID}/activity
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
curl https://api.autoznetwork.com/v1/inventory_tags \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json'
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$tags = $autoznetwork
->withOrganization($organizationId)
->inventoryTags()
->get();
print($tags)
Add a Vehicle Tag
POST Request: https://api.autoznetwork.com/v1/inventory_tags
AUTOZNETWORK_TOKEN="your API token"
AUTOZNETWORK_ORG_ID="your organization id"
curl -X POST https://api.autoznetwork.com/v1/inventory_tags \
-H "Authorization: Bearer $AUTOZNETWORK_TOKEN" \
-H "X-AutozNetwork-Organization-Id: $AUTOZNETWORK_ORG_ID" \
-H 'Accept: application/json'
<?php
$apiToken = 'ABCD12345 ...';
$organizationId = '1234';
$autoZnetwork = new AutozNetwork($apiToken);
$tag = $autoznetwork
->withOrganization($organizationId)
->inventoryTags()
->create([
'name' => 'tagName'
]);
print($tag)